# IMFExDropArea Struct Reference
[MCFrame]

Inheritance diagram for IMFExDropArea:

List of all members.

## Public Member Functions
virtual boolean MCCOMAPI | DragIsAcceptable (TMFDragFlavors &inOfferedFlavors, IDType &outAcceptedFlavor, const TMCPoint &inWhere)=0
virtual void MCCOMAPI | Hilite (boolean inIsHilited)=0
virtual boolean MCCOMAPI | IsEqualTo (IMFExDropArea *inArea)=0
virtual void MCCOMAPI | ReceiveDrop (IMFDropCandidate *dropCandidate, IDType &acceptedType, MFDragDropType moveOrCopy, const TMCPoint &mousePos)=0
virtual void MCCOMAPI | GetPart (IMFPart **outPart)=0

## Detailed Description

This is the interface to create a drop area. A drop area is an object that is associated to a part and deal with the drag&drop on this part.

To create your own drop area, you should derive your object from TBasicDropArea that provides a default implementation of IMFExDropArea. The family ID for a drop area is 'drpA'

## Member Function Documentation

virtual boolean MCCOMAPI IMFExDropArea::DragIsAcceptable | ( | TMFDragFlavors & | inOfferedFlavors,
|  | IDType & | outAcceptedFlavor,
|  | const TMCPoint & | inWhere |
| ) |  |  | `[pure virtual]`

Returns true if a particular object can be dropped on this area.

Parameters:

  | inOfferedFlavors | The type of the object that is dropped.
  | outAcceptedFlavor | Returns the type that was accepted.
  | inWhere | The point where the object is dropped.

Implemented in TBasicDropArea.

virtual void MCCOMAPI IMFExDropArea::GetPart | ( | IMFPart ** | outPart | ) | `[pure virtual]`

Returns a pointer to the part to which the drop area corresponds.

Parameters:

  | outPart | A pointer to the part to which the drop area corresponds.

Implemented in TBasicDropArea.

virtual void MCCOMAPI IMFExDropArea::Hilite | ( | boolean | inIsHilited | ) | `[pure virtual]`

Highlight or not the part depending on inIsHilited.

Parameters:

  | inIsHilited | TRUE for highlight, FALSE for unhighlight.

Implemented in TBasicDropArea.

virtual boolean MCCOMAPI IMFExDropArea::IsEqualTo | ( | IMFExDropArea * | inArea | ) | `[pure virtual]`

Returns true if the tow drop areas are the same.

Implemented in TBasicDropArea.

virtual void MCCOMAPI IMFExDropArea::ReceiveDrop | ( | IMFDropCandidate * | dropCandidate,
|  | IDType & | acceptedType,
|  | MFDragDropType | moveOrCopy,
|  | const TMCPoint & | mousePos |
| ) |  |  | `[pure virtual]`

Called when a drop is made on the part.

Parameters:

  | dropCandidate | The object that encapsulate the object that is dropped.
  | acceptedType | Returns the type that was accepted.
  | moveOrCopy | Specifies whether the object should be copied or moved.
  | mousePos | The position of the mouse in the part.

Implemented in TBasicDropArea.

The documentation for this struct was generated from the following file:

- IMFDragDrop.h